pair_associative_container.hpp File Reference
Support for Serializing Various Types » Abstract Type Concept Support

Support for the PairAssociativeContainer refinement of the AssociativeContainer concept. More...

`#include "cereal/cereal.hpp"`

Go to the source code of this file.

## Functions

template<class Archive , template< typename... > class Map, typename... Args, typename = typename Map<Args...>::mapped_type>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, Map< Args... > const &map)
| Saving for std-like pair associative containers.
template<class Archive , template< typename... > class Map, typename... Args, typename = typename Map<Args...>::mapped_type>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, Map< Args... > &map)
| Loading for std-like pair associative containers.

## Detailed Description

Support for the PairAssociativeContainer refinement of the AssociativeContainer concept.